
From: Trivial Patch Monkey <trivial@rustcorp.com.au>

From:  Pavel Machek <pavel@ucw.cz>

There's acpi_disable somewhere in the acpi interpreter (it disables
interrupts, iirc).  Thus blacklisting function needs better name.


---

 25-akpm/arch/i386/kernel/dmi_scan.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/i386/kernel/dmi_scan.c~rename-acpi_disable arch/i386/kernel/dmi_scan.c
--- 25/arch/i386/kernel/dmi_scan.c~rename-acpi_disable	Fri Mar 12 13:55:24 2004
+++ 25-akpm/arch/i386/kernel/dmi_scan.c	Fri Mar 12 13:55:24 2004
@@ -525,7 +525,7 @@ static __init int print_if_true(struct d
 #ifdef	CONFIG_ACPI_BOOT
 extern int acpi_disabled, acpi_force;
 
-static __init __attribute__((unused)) int acpi_disable(struct dmi_blacklist *d) 
+static __init __attribute__((unused)) int disable_acpi(struct dmi_blacklist *d)
 { 
 	if (!acpi_force) { 
 		printk(KERN_NOTICE "%s detected: acpi off\n",d->ident); 
@@ -933,7 +933,7 @@ static __initdata struct dmi_blacklist d
 	 *	Boxes that need ACPI disabled
 	 */
 
-	{ acpi_disable, "IBM Thinkpad", {
+	{ disable_acpi, "IBM Thinkpad", {
 			MATCH(DMI_BOARD_VENDOR, "IBM"),
 			MATCH(DMI_BOARD_NAME, "2629H1G"),
 			NO_MATCH, NO_MATCH }},

_
